import request from '@/utils/request'

// 查询主体类型列表
export function listOrganizationType(query) {
  return request({
    url: '/type/organizationType/list',
    method: 'get',
    params: query
  })
}

// 查询主体类型详细
export function getOrganizationType(typeId) {
  return request({
    url: '/type/organizationType/' + typeId,
    method: 'get'
  })
}

// 新增主体类型
export function addOrganizationType(data) {
  return request({
    url: '/type/organizationType',
    method: 'post',
    data: data
  })
}

// 修改主体类型
export function updateOrganizationType(data) {
  return request({
    url: '/type/organizationType',
    method: 'put',
    data: data
  })
}

// 删除主体类型
export function delOrganizationType(typeId) {
  return request({
    url: '/type/organizationType/' + typeId,
    method: 'delete'
  })
}

// 导出主体类型
export function exportOrganizationType(query) {
  return request({
    url: '/type/organizationType/export',
    method: 'get',
    params: query
  })
}
